Skip to main content
GET
Get crawl job status

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

job_id
string
required

Response

200 - application/json

Crawl status retrieved successfully

job_id
string

Unique identifier for the crawl job

Example:

"645f3c1649ec746bc1871307"

namespace
string

Stable identifier for this domain's vector data

Example:

"example_com"

base_url
string

The base domain that was crawled

Example:

"https://example.com"

max_pages
integer

Maximum number of pages to process

status
enum<string>

Current status of the crawl job

Available options:
pending,
in_progress,
failed,
finished
created_at
string<date-time>

Creation timestamp of the crawl job, in UTC

Example:

"2020-12-21T12:00:00Z"

updated_at
string<date-time>

Last update timestamp of the crawl job, in UTC

Example:

"2020-12-22T12:00:00Z"